package com.hai.service;

import com.hai.entity.HighActivityInfo;
import com.hai.entity.HighActivityPartakeRule;

import java.util.List;
import java.util.Map;

/**
 * 活动基本信息
 * @author hurui
 */
public interface HighActivityInfoService {

    /**
     * 编辑活动业务
     * @param activityInfo 活动基本信息
     * @param partakeRuleList 参与规则
     */
    void editActivityBusiness(HighActivityInfo activityInfo, List<HighActivityPartakeRule> partakeRuleList);

    /**
     * 修改活动基本信息
     * @param activityInfo 活动基本信息
     */
    void updateActivityInfo(HighActivityInfo activityInfo);

    /**
     * 获取活动详情
     * @param activityId 活动基本信息id
     * @return
     */
    HighActivityInfo getDetailById(Long activityId);

    /**
     * 查询活动列表
     * @param param 参数
     * @return
     */
    List<HighActivityInfo> getList(Map<String, Object> param);

    /**
     * 根据卡券查询最新一条活动信息
     * @param couponId 卡券id
     * @return
     */
    Map<String, Object> getNewActivityByCouponId(Long couponId);

}
